<!DOCTYPE html>
<html <?php language_attributes(); ?> prefix="og: http://ogp.me/ns#">
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>" />
    <title><?php wp_title( '|', true, 'right' ); ?></title>
    <link rel="profile" href="http://gmpg.org/xfn/11" />
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
    <?php wp_head(); ?>
</head>

<?php

	$body_styles = null;
	if (is_singular()) {
		if(get_post_meta(get_the_ID(), 'official_post_background_settings', true) == "custom") {
			$body_styles = "style='";

			if(get_post_meta(get_the_ID(), 'official_post_background_color', true) && get_post_meta(get_the_ID(), 'official_post_background_color', true) !='#')
			{
				$body_styles .=   "background:".get_post_meta(get_the_ID(), 'official_post_background_color', true)." !important;";
			}

			if(get_post_meta(get_the_ID(), 'official_post_background_custom', true)) {

				$att_id = get_post_meta(get_the_ID(), 'official_post_background_custom', true);
				$attachment = wp_get_attachment_image_src( $att_id );
				$body_styles .=   "background: ".get_post_meta(get_the_ID(), 'official_post_background_color', true)." url(".$attachment[0].")".get_post_meta(get_the_ID(), 'official_post_background_repeat', true)." ".get_post_meta(get_the_ID(), 'official_post_background_attachment', true)." ".get_post_meta(get_the_ID(), 'official_post_background_x', true)." ".get_post_meta(get_the_ID(), 'official_post_background_y', true)." !important;";
			}
			else {

			}
			 $body_styles .=  "'";
		}
	}
?>
<?php global $is_IE ?>
<body <?php body_class(); ?> <?php echo $body_styles ?>>
<div>
<?php if(bdayh_get_option('hid_top_menu') == 0){ ?>
<?php
$o_display = bdayh_get_option('topright_display');
$o_social = bdayh_get_option('topright_social');
$o_search = bdayh_get_option('topright_search');
?>
<div>
<div class="top-bar">
<div class="wrapper">
<div class="top-bar-links">
<?php if ( has_nav_menu( 'topbar' ) ) { ?>
<?php  wp_nav_menu ( array( 'menu_class' => 'toplinks','official'=> 'ul', 'theme_location' => 'topbar' )); ?>
<?php } else { ?>
<ul class="toplinks">
<li class="home <?php if (is_home()) {echo "current-page-item";} ?> ">
<a href="<?php echo home_url(); ?>"><?php _e('Home', 'bd'); ?></a>
</li>
<?php wp_list_categories(array('title_li' => false,'hierarchical' => 1)); ?>
</ul>
<?php } ?>
</div><!-- Top bar links /-->
<?php if ($o_display == 'none') { ?>
<?php } elseif ($o_display == 'social') { ?>
<div class="top-bar-social">
<?php echo footer_widget_social(); ?>
</div>
<?php } elseif ($o_display == 'search') { ?>
<div class="top-bar-search">
<form class="search" action="<?php echo home_url(); ?>/" method="get">
<fieldset>
<span class="text"><input name="s" id="s" type="text" value="" placeholder="<?php echo __('Search ...', 'bd'); ?>" /></span>
</fieldset>
</form>
</div>
<?php } else { ?>

<?php } ?>
</div>
</div>
</div><!-- top-bar -->
<?php } ?>
<div class="clear bottom20"></div>
<div class="banners">
<?php if(bdayh_get_option('show_header_ads') == 1) {	if(bdayh_get_option('header_ads_code') != '') { ?>
<?php echo stripslashes(bdayh_get_option('header_ads_code')); ?>
<?php } else { ?>
<a href="<?php echo bdayh_get_option('header_ads_img_url'); ?>" title="<?php echo bdayh_get_option('header_ads_img_altname'); ?>">
<img src="<?php echo bdayh_get_option('header_ads_img'); ?>" alt="<?php echo bdayh_get_option('header_ads_img_altname'); ?>" />
</a>
<?php } } ?>
</div><!-- banners -->
<div class="clear bottom20"></div>
<?php if( bdayh_get_option( 'disable_responsive' ) == 1 ){ ?><div class="bd-fix"><?php } ?>
<div class="wrapper zin">
<div id="nav" class="sticky-wrapper">
<div class="logo">
<h1>
<span>
<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
<?php if(bdayh_get_option('bd_logo')){
	$data_retina = '';
	$retina = bdayh_get_option("logo_retina");
	if($retina){
	$data_retina = ' data-retina="'.$retina.'" ';
}
?>
<img src="<?php echo bdayh_get_option('bd_logo'); ?>" alt="<?php bloginfo('name'); ?>" <?php echo $data_retina; ?> >
<?php } else { ?>
<img src="<?php echo BD_IMG; ?>/logo.png" alt="<?php bloginfo('name'); ?>" data-retina="<?php echo BD_IMG; ?>/logo@2x.png" />
<?php } ?>
</a>
</span>
</h1>
<p><?php bloginfo( 'description' ); ?> </p>
</div> <!-- logo /-->
<div class="nav-menu">
<?php if ( has_nav_menu( 'nav' ) ) { ?>
<?php  wp_nav_menu ( array( 'menu_class' => 'navlinks','official'=> 'ul', 'theme_location' => 'nav' )); ?>
<?php } else { ?>
<ul class="navlinks">
<li class="home <?php if (is_home()) {echo "current-page-item";} ?> ">
<a href="<?php echo home_url(); ?>"><?php _e('Home', 'bd'); ?></a>
</li>
<?php wp_list_categories(array('title_li' => false,'hierarchical' => 1)); ?>
</ul>
<?php } ?>
</div><!-- nav menu /-->
<a style="display:none" href="http://www.20script.ir/">20script</a>
<div class="nav-sidebar">
<?php if  (function_exists('dynamic_sidebar') && dynamic_sidebar('Nav Sidebar')){ }else { ?>
<?php } ?>
</div><!-- nav sidebar /-->
</div>
</div>
<!-- nav /-->
<div class="wrapper<?php if ( is_active_sidebar( 'primary-widget-area' ) ) : ?> primary-sidebar<?php endif; ?>">