<?php

	if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

	global $product, $woocommerce_loop;

	$related = $product->get_related();

	if ( sizeof( $related ) == 0 ) return;

	$args = apply_filters('woocommerce_related_products_args', array(
		'post_type'				=> 'product',
		'ignore_sticky_posts'	=> 1,
		'no_found_rows' 		=> 1,
		'posts_per_page' 		=> $posts_per_page,
		'orderby' 				=> $orderby,
		'post__in' 				=> $related,
		'post__not_in'			=> array($product->id)
	) );

	$products = new WP_Query( $args );

	$woocommerce_loop['columns'] 	= $columns;

	if ( $products->have_posts() ) :

?>



<h2 class="title bottom15"><?php _e('Related Products', 'bd'); ?></h2>

<ul class="products">
<?php while ( $products->have_posts() ) : $products->the_post(); ?>
<?php woocommerce_get_template_part( 'content', 'product' ); ?>
<?php endwhile; ?>
</ul>
<?php endif; ?>

<?php wp_reset_postdata(); ?>